Subject: Re: New Contact submission from Contact
From: Rona Galangi <[email-masked]>
To: Release Concierge <[email-masked]>
Cc: release <[email-masked]>
Date: Tue, 3 May 2022 12:15:42 -0700 (MST)

Hi, 

We're getting this done now. We only have 1 agent logged in every Tuesday. The only reason I'm seeing for the dropped calls is that the agent is engaged on another call. 

Apologies for the trouble, 

Rona Galangi 
LiveSalesman 

From: "Release Concierge" <[email-masked]> 
To: "release" <[email-masked]> 
Sent: Wednesday, May 4, 2022 2:34:29 AM 
Subject: Re: New Contact submission from Contact 

Hi there, 
Just want to make sure you received this. If we could make her priority since her appointment is first thing tomorrow. Thank you! 

On Tue, May 3, 2022 at 1:07 PM Release Concierge < [ mailto:[email-masked] | [email-masked] ] > wrote: 

Can someone please call this person back and get her rescheduled asap? Our policy for covid states she can reschedule to avoid late cancel fee. Can someone also please check the phone lines? Not sure why it kept hanging up on her. Thank you! 
---------- Forwarded message --------- 
From: Release Well-Being Center < [ mailto:[email-masked] | [email-masked] ] > 
Date: Tue, May 3, 2022 at 12:51 PM 
Subject: New Contact submission from Contact 
To: < [ mailto:[email-masked] | [email-masked] ] > 

	Name 
		Shannon Cincotta 
	Email 
		[ mailto:[email-masked] | [email-masked] ] 
	Phone 
		(508) 951-3912 
	Comments 
		I need to reschedule my appointment for tomorrow morning . I have tried calling, but your service keeps hanging up on me. I left a voicemail in the general mailbox. My son has Covid, and I think it’s best for me to postpone my massage. I apologize for the change, and will look to reschedule asap.